org.eclipse.modisco.jee.ejbjar.discoverer

## Class EjbJarActivator

- java.lang.Object
- - AbstractUIPlugin
  - - org.eclipse.modisco.jee.ejbjar.discoverer.EjbJarActivator

    public class EjbJarActivator
    extends AbstractUIPlugin

The activator class controls the plug-in life cycle

### Field Summary

Fields
`static java.lang.String` `PLUGIN_ID`

### Constructor Summary

Constructors
Constructor and Description
`EjbJarActivator()` The constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EjbJarActivator` `getDefault()` Returns the shared instance
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### Constructor Detail

#### EjbJarActivator

    public EjbJarActivator()

The constructor

### Method Detail

#### start

    public void start(BundleContext context)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getDefault

    public static EjbJarActivator getDefault()

Returns the shared instance

Returns:
  the shared instance